ukui-panel (4.20.8.0-ok5.4) nile; urgency=medium

  * Issue:无
  * 其他:任务栏设置页托盘设置功能改动(支持根据当前托盘状态动态增删)

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 28 Aug 2025 13:51:32 +0800

ukui-panel (4.20.8.0-ok5.3) nile; urgency=medium

  * Issue:无
  * 其他:更新京语翻译

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 11 Aug 2025 09:12:59 +0800

ukui-panel (4.20.8.0-ok5.2) nile; urgency=medium

  * Issue:无
  * 其他:更新京语翻译

 -- duankaiwen <duankaiwen@kylinos.cn>  Thu, 07 Aug 2025 18:43:30 +0800

ukui-panel (4.20.8.0-ok5.1) nile; urgency=medium

  * Issue:无
  * 其他:
    - 更新libukui-quick-dev依赖版本

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 07 Aug 2025 18:43:30 +0800

ukui-panel (4.20.8.0-ok5.0) nile; urgency=medium

  * Issue:无
  * 其他:
    - feat(widgets/statermenu):增加更新并重启和更新并关机的多语言翻译
    - feat(taskManger):合并状态下应用组图标使用proxy
    - feat(widgets/taskmanager):新增使用iconName去获取图标的功能

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 07 Aug 2025 18:37:32 +0800

ukui-panel (4.20.8.0-ok4.0) nile; urgency=medium

  * Issue:无
  * 其他:
    - 增加部分繁体和蒙文翻译
    - feat(panel):任务栏desktop文件中增加多语言Name字段
    - feat(panel):任务栏在任意尺寸下都可以直接拖拽改变尺寸（拖拽后变为自定义）
    - feat(panel):任务栏改变位置时，先隐藏再显示
    - feat(all):新增自动化测试属性

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 28 Jul 2025 14:38:56 +0800

ukui-panel (4.20.8.0-ok3.0) nile; urgency=medium

  * Issue:无
  * 其他:
    - perf(taskManager):使用desktop文件名（appid）作为配置文件存储快速启动按钮
    - feat(widgets):开始菜单右键新增更新并重启、更新并关机选项

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 17 Jul 2025 09:18:45 +0800

ukui-panel (4.20.8.0-ok2.1) nile; urgency=medium

  * Issue:无
  * 其他:
    - fix(panel):修复初始化时由于空指针导致的崩溃问题

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 07 Jul 2025 16:30:20 +0800

ukui-panel (4.20.8.0-ok2.0) nile; urgency=medium

  * Issue:无
  * 其他:
    - fix(task-manager):解决偶尔启动时由于屏幕变化信号处理不当导致任务栏崩溃的问题
    - fix(widgets/ukui-menu-starter): 解决用户数量为1时，创建用户，开始菜单右键无法切换用户的bug
    - fix(widgets):修改关机，重启的英文
    - fix(wiidgets)：更换右键开始菜单中启动搜索的接口
    - feat(widgets):增加AI助手插件
    - fix(panel/ukcc):降低控制面板冷启动时间
    - fix(widgets/ukui-task-manager/qml): 修复任务栏超长滚动后再切换方向、调整大小，内容显示出现异常的问题
    - fix(widgets/taskManager):修复翻页按钮无法滚到最后一个像素问题
    - chore(widgets):修改search插件的tooltip
    - fix(widgets/ukui-task-manager): 解决双屏状态下，窗口最小化动画异常问题
    - feat(panel/ukcc):控制面板增加繁文翻译
    - feat:任务栏主题以及所有插件适配功能管控
    - fix(panel/qml): 修复经典任务栏处于超长滚动时，插件布局问题
    - fix(widgets/thumbnail):音视频预览图透明度跟随主
    - perf(taskManager):优化窗口新增时的分组逻辑
    - fix(widgets/ukui-task-manager): 解决切换方向时，taskManager出现关于hasActiveWindow属性绑定报错的问题

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 04 Jul 2025 10:23:27 +0800

ukui-panel (4.20.8.0-ok1.0) nile; urgency=medium

  * Issue:无
  * 其他
    - fix(panel):屏蔽三岛任务栏入口

 -- Nicole <buxiaoqing@kylinos.cn>  Mon, 16 Jun 2025 14:40:29 +0800

ukui-panel (4.20.8.0-ok0.3) nile; urgency=medium

  * Issue:无
  * 其他：
    - fix(widget/ukui-task-manager):预览窗透明度跟随主题变化
    - fix(widgets/ukui-task-manager): 解决从开始菜单拖拽固定到任务栏的问题
    - perf(panel,panelNext):使用WindowProxy的接口设置毛玻璃特效
    - fix(widgets):修复启动动画与设计稿不符问题

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 05 Jun 2025 17:50:01 +0800

ukui-panel (4.20.8.0-ok0.2) nile; urgency=medium

  * nile-sp2传包

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 30 May 2025 16:37:21 +0800

ukui-panel (4.20.8.0-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - feat(widgets):搜索入口UI样式优化
    - feat(widgets/search):增加打开搜索时从任务栏移动到屏幕中间动画
    - fix(widgets):修改日历按钮的三态范
    - fix(panel):进入拖拽事件后再修改光标样式为十字光标
    - fix(widgets/ukui-task-manager):补充添加预览图窗口显示前，是否有打开窗口的判断
    - fix(widgets):任务栏图标点击动效调整

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 29 May 2025 14:46:50 +0800

ukui-panel (4.20.7.0-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - fix(panel):解决控制面板改位置，不会修改gsettings值的问题
    - feat(widgets/ukui-task-manager/qml): 任务栏预览图内部实现窗口阴影
    - fix(widgets/ukui-task-manager): 调整经典模式下，taskManager长度为最大可用长度，解决添加、移除动画异常问

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 26 May 2025 13:56:36 +0800

ukui-panel (4.20.6.0-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - fix(widgets):修改tooltip距任务栏高度为8
    - fix(widgets):修改搜索和多任务视图的tooltip文字内容
    - feat(taskManager):点击图标启动应用时增加应用启动动效

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 16 May 2025 15:12:32 +0800

ukui-panel (4.20.5.1-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - fix(widgets/taskManager):解决TaskManagerFilterModel访问非法QScreen导致的崩溃问题
    - fix(panel/src): 不释放g_settings_schema_source_get_default的返回值
    - fix(widgets):修复各插件的tooltip显示位置不统一问题
    - fix(taskmanager): 多个任务栏时，任务栏上的图标显示位置默认值修改为在所有任务栏上显示
    - fix(remote-config): 多个任务栏时，任务栏上的图标显示位置默认值修改为在所有任务栏上显示
    - fix(widgets/ukui-task-manager/qml):解决第一次启动任务栏时，首个图标动画异常问题

 -- iaom <zhangpengfei@kylinos.cn>  Wed, 30 Apr 2025 17:40:10 +0800

ukui-panel (4.20.5.0-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - feat(widgets/ukui-task-manager):任务栏图标展开状态下增加激活和非激活状态,调整常态的ui背景色

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 24 Apr 2025 17:32:19 +0800

ukui-panel (4.20.4.2-ok0.2) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - 更新ukui-quick依赖版本号

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 18 Apr 2025 16:56:29 +0800

ukui-panel (4.20.4.2-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - fix(widgets/ukui-task-manager/qml): 解决预览图隐藏后，没有清空预览图组件显示内容的问题

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 18 Apr 2025 16:32:47 +0800

ukui-panel (4.20.4.1-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - fix(widgets/ukui-task-manager/qml):解决bug：非合并状态拖拽换位后，动画效果像重新加载
    - fix(widgets/ukui-task-manager/qml): 解决任务栏点击预览图关闭按钮后，存在闪烁的问题
    - fix(widgets/ukui-task-manager/qml): 解决非合并状态拖拽会出现item重叠问题
    - fix(widgets):修改starter, taskview, calendar的三态颜色

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 14 Apr 2025 17:32:31 +0800

ukui-panel (4.20.4.0-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - feat(taskManager):优化添加快捷按钮功能，任务栏实现支持开始菜单拖拽功能

 -- iaom <zhangpengfei@kylinos.cn>  Wed, 09 Apr 2025 10:41:44 +0800

ukui-panel (4.20.3.0-ok0.2) huanghe; urgency=medium

  * Issue:无
  * 其他：更新编译依赖libukui-quick-dev版本

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 13 Mar 2025 14:46:57 +0800

ukui-panel (4.20.3.0-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - feat(main):增加命令行，可查询当前一些设置项状态
    - feat(ukcc-plugin):控制面板任务栏页增加虚拟键盘的配
    - feat(translations):翻译文件新增虚拟键盘配置相关字
    - feat(panel):经典任务栏panel主体适配dt主题
    - feat(panel-next):三岛任务栏panel主体适配dt主题
    - feat(widgets/starter):开始菜单插件适配dt主题
    - feat(widgets/calendar):日历插件适配dt主题
    - feat(widgets/taskview,showDesktop):多任务视图、显示桌面插件适配dt主题
    - feat(widgets/search):搜索插件适配dt主题
    - feat(taskManager):taskManager插件适配dt主题
    - fix(widgets):修改start, search, showDesktop的tooltip文本
    - fix(taskManager):初始化时获取是否存在激活窗口

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 13 Mar 2025 14:38:51 +0800

ukui-panel (4.20.2.1-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - 将日志输出格式修改为日期+时间
    - fix(widgets/ukui-menu-starter): 添加任务栏开始菜单按钮悬浮时的蒙古语显示
    - fix(taskManager):解决应用启动后，窗口最小化动画不能立即生效问题
    - fix(screens-manager)修改wlcom下切换镜像模式时，出现多个任务栏的问题
    - fix(task-manager)：修复多屏下偶现窗口位置计算错误导致图标消失的问题

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 28 Feb 2025 10:10:15 +0800

ukui-panel (4.20.2.0-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - fix(taskManager):修复desktop文件中Icon路径不存在时图标处理错误的问题
    - fix(panel):调整padding数值
    - fix(panel):解决显示桌面插件，在任务栏中有间隙问题
    - fix(panel):修复右键菜单中“底部”没有藏文翻译问题
    - feat(ukcc-plugin):添加虚拟键盘，vpn和输入法的中文翻译
    - fix(panel-next):补充添加配置岛ratio
    - fix(taskManager):当窗口图标更新为空时，不更新预览图中的窗口图
    - fix(widgets):调整处在小尺寸（例如顶栏）时，开始菜单、日历、数据管理、多任务视图插件的边距
    - fix(panel-next):根据设计稿调整处于顶栏时，数据岛、配置岛的布局间距和最大长
    - fix(widgets/taskManager):将预览图窗口图标由Theme换为Icon
    - fix(panel-next):解决应用岛移除小插件后，taskManager的最大长度不会更新的问题
    - fix(taskManager):解决taskManager最大宽度变化时，会有概率导致任务栏崩溃问题;添加最小宽度
    - fix(panel-next):实现应用岛内容超长后，可以滚动的功能
    - fix(ukcc-plugin):去除libukcc控件，替换为sdk控件
    - feat(panel):使用QLoggingCategory机制增加日志打印目录
    - feat(panel-next):使用QLoggingCategory机制增加日志打印目录
    - fix(taskManager):解决taskManager在没有图标时，会显示部分翻页按钮的问题

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 17 Feb 2025 16:00:43 +0800

ukui-panel (4.20.1.0-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - fix(panel)调整panelPosIndicator透明度，避免出现纯黑情况
    - fix(taskManager):解决切换为小插件后，setIconGeometry不生效问题
    - fix(appIsland):限制小插件功能只在三岛模式可用
    - fix(taskManager):补充点击已打开预览图，预览图隐藏功能(issue:IA4QEK)
    - fix(taskManager):添加点击图标，激活窗口并隐藏预览图功能
 -- iaom <zhangpengfei@kylinos.cn>  Wed, 25 Dec 2024 15:22:51 +0800

ukui-panel (4.20.0.4-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - feat(panel-next):添加自定义拖拽调整大小功能，并优化configChanged代码

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 16 Dec 2024 15:58:24 +0800

ukui-panel (4.20.0.3-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - fix(panel-next):修复锁定任务栏时，任务栏右键菜单中任务栏大小的选项未置灰的问题
    - fix(panel):panel优化自定义拖拽调整大小功能
    - feat(panel-next):三岛任务栏增加一个可添加插件的dbus接口
    - Fix(panel-next):修复三岛任务栏布局长度错误问题
    - fix(widgets):调整开始菜单，数据管理和多任务视图的三个插件布局，适配三岛任务栏

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 13 Dec 2024 10:06:50 +0800

ukui-panel (4.20.0.2-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - fix(qml):解决任务栏大尺寸下，没有显示桌面按钮的问题
    - fix(calendar):调整日历布局，竖向初始化日历插件高度不对问题
    - fix(panel-next)：修改三岛任务栏初始化后尺寸更新延迟的问题
    - fix(panel):修复初始化panel时lockpanel action空指针导致的崩溃问题
    - fix(widgets):修复开始菜单的右键菜单中图标显示错误问题

 -- iaom <zhangpengfei@kylinos.cn>  Tue, 10 Dec 2024 11:24:06 +0800

ukui-panel (4.20.0.1-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - fix(taskManager):补充实现超长滚动按钮自适应任务栏大小的功能
    - fix(widgets):屏蔽多任务视图和显示桌面的右键菜单
    - feat(widgets):插件元数据新增藏文翻译
    - fix(panel/src): 修复schema.xml文件未更新时调用gsetting取值崩溃的问题
    - fix(screen-manager)修改屏幕分辨率一样时，交换位置导致的任务栏消失的问题
    - fix(taskManager):修复应用激活任务栏之后，不能取消激活的问题
    - fix(panel):优化panel自动隐藏的逻辑
    - fix(taskManager):解决新固定到任务栏的应用重启后不在原来位置的问题

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 05 Dec 2024 10:50:32 +0800

ukui-panel (4.20.0.0-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - perf(panel-next):优化三岛任务栏自动隐藏逻辑
    - 显示桌面相关接口换成ukui-quick::platform中的接口
    - fix(taskManager):删除taskManager无用文件
    - feat(data-collector)将panel大小和位置改变的数据埋点添加到线程中执行
    - feat(ukui-panel): 丰富gsetting记录任务栏信息的内容
    - fix(widgets): 修复切换系统主题图标，任务栏全局搜索图标未变化问题
    - fix(taskManager):优化翻页按钮功能
    - fix(taskManager): 修复打开过多应用，有概率出现任务栏卡死的问题
    - fix(taskManager):修复视频窗口小宽度情况下，预览图内部按钮显示不完全问题
    - 更新翻译

 -- iaom <zhangpengfei@kylinos.cn>  Wed, 27 Nov 2024 10:23:46 +0800

ukui-panel (4.10.5.1-ok0.2) huanghe; urgency=medium

  * 修复编译问题，重新传包

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 11 Nov 2024 10:28:35 +0800

ukui-panel (4.10.5.1-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - fix(task-manager):修复翻译文件没有被正确生成的问题

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 11 Nov 2024 10:15:33 +0800

ukui-panel (4.10.5.0-ok0.1) huanghe; urgency=medium

  * Issue:无
  * 其他：
    - 任务栏增加三岛模式和对应的设置项

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 08 Nov 2024 13:59:21 +0800

ukui-panel (4.10.4.3-ok0.4) nile; urgency=medium

  * Issue:IAH1OW 第一次进入系统桌面后任务栏存在两个设置图标，之后进入系统多余的图标消
  * 其他：
    - fix(task-manager):修复翻页按钮置灰时和背景重合问题

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 07 Nov 2024 11:28:02 +0800

ukui-panel (4.10.4.3-ok0.3) nile; urgency=medium

  * 增加运行依赖

 -- iaom <zhangpengfei@kylinos.cn>  Tue, 15 Oct 2024 09:03:55 +0800

ukui-panel (4.10.4.3-ok0.2) nile; urgency=medium

  * Issue:IAR55F 【不重要】【需求31653】开始菜单右键菜单建议切换账户或注销改为切换用户或注销
  * Issue:IAMUOL 【低】【开始菜单】开始菜单悬浮框文案为"启动开始菜单"(应为"开始菜单")
  * 其他：
    - 优化托盘长度限制方式
  * 其他改动影响域:
    - 托盘区域

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 14 Oct 2024 14:54:46 +0800

ukui-panel (4.10.4.3-ok0.1) nile; urgency=medium

  * 更新0920维哈克翻译

 -- Kevin Duan <Kduankaiwen@kylinos.cn>  Fri, 13 Sep 2024 17:36:27 +0800

ukui-panel (4.10.4.3-ok0) nile; urgency=medium

  * Issue:IA4HUS 【次要】【任务栏】手指拖拽修改过任务栏大小，选择小寸尺后在选择自定义，任务栏尺寸未恢复到最后一次拖拽的大小
  * 其他：
    - 删除任务栏窗口描边

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 13 Sep 2024 17:36:27 +0800

ukui-panel (4.10.4.2-ok0) nile; urgency=medium

  * Issue:无
  * 其他：fix(ukcc-plugin)修改系统设置任务栏界面锁定任务栏后面少一条线的问题

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 06 Sep 2024 16:20:32 +0800

ukui-panel (4.10.4.1-ok0) nile; urgency=medium

  * Issue: I9W0O9【次要】【设置】【任务栏】搜索框无任务栏界面详情列表
  * 其他：无

 -- iaom <zhangpengfei@kylinos.cn>  Tue, 03 Sep 2024 17:52:57 +0800

ukui-panel (4.10.4.0-ok0) nile; urgency=medium

  * Issue:IAN7UF 【wlcom】日期不更新
  * 其他：
    - feat(taskmamager)任务栏taskmanager插件增加设置打开
      的应用图标显示状态的功能
    - feat(panel)任务栏支持设置仅在主屏显示或在所有屏都显示
    - feat(panel)任务栏增加相关配置,可实现配置托盘仅在主屏显示或在所有显示器都显示功能
    - 更新翻译

 -- iaom <zhangpengfei@kylinos.cn>  Tue, 03 Sep 2024 14:36:03 +0800

ukui-panel (4.10.3.1-ok1) nile; urgency=medium

  * 更新翻译

 -- Kevin Duan <duankaiwen@kylinos.cn>  Fri, 23 Aug 2024 17:01:41 +0800

ukui-panel (4.10.3.1-ok0) nile; urgency=medium

  * 重新传包

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 23 Aug 2024 17:01:41 +0800

ukui-panel (4.10.3.0-ok0.3) nile; urgency=medium

  * 重新传包

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 23 Aug 2024 16:14:42 +0800

ukui-panel (4.10.3.0-ok0.2) nile; urgency=medium

  * 重新传包

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 23 Aug 2024 16:10:39 +0800

ukui-panel (4.10.3.0-ok0.1) nile; urgency=medium

  * 重新传包

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 23 Aug 2024 15:46:19 +0800

ukui-panel (4.10.3.0-ok0) nile; urgency=medium

  * Issue:I9VAB0【次要】【区域语言】切换日期短格式为较短的三种，任务栏日期显示为对应较长的格式
  * Issue:IA4W4X 【次要】【任务栏】往右拖动过任务栏最右侧图标，打开的其他应用会在最后一个应用的左侧
  * 其他：
    - 更新部分Tooltip翻译

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 23 Aug 2024 13:57:37 +0800

ukui-panel (4.10.2.6-ok0.3) nile; urgency=medium

  * 更新mn翻译

 -- Kevin Duan <duankaiwen@kylinos.cn>  Fri, 16 Aug 2024 13:48:07 +0800

ukui-panel (4.10.2.6-ok0.2) nile; urgency=medium

  * 补充编译依赖

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 16 Aug 2024 13:48:07 +0800

ukui-panel (4.10.2.6-ok0.1) nile; urgency=medium

  * Issue: IAI998【wlcom】【组件UI】【任务栏】调节透明度较低时，任务栏无毛玻璃特效可以看到下方组件
  * 其他：
    - 优化x环境下自定义任务栏大小时的拖拽效果
    - 修复wlcom环境下,第一次打开支持mpris协议应用的预览图
      时未正确显示控制按钮的问题
    - 修复视频预览图隐藏后，预览图item不会销毁的问题
    - 没有desktop文件的item右键菜单不显示'固定到任务栏'
    - 修复x环境下,偶先第一此打开预览图时预览图意外隐藏的问题

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 16 Aug 2024 13:39:11 +0800

ukui-panel (4.10.2.6-ok0) nile; urgency=medium

  * Issue: IAH6UA【wlcom】【纯wayland】【系统监视器】任务栏悬浮窗口点击还原后窗口未恢复，且窗口会置顶
  * 其他：无

 -- iaom <zhangpengfei@kylinos.cn>  Tue, 06 Aug 2024 17:50:28 +0800

ukui-panel (4.10.2.5-ok0) nile; urgency=medium

  * Issue: 无
  * 其他：
    - 增加托盘超长限制

 -- iaom <zhangpengfei@kylinos.cn>  Tue, 06 Aug 2024 10:32:49 +0800

ukui-panel (4.10.2.4-ok0) nile; urgency=medium

  * Issue: 无
  * 其他：
    - 预览图在x环境使用popup层级，wlcom环境使用switcher层级
    - wlcom下图标右键菜单显示后，预览图不显示,优化预览图显示内容切换逻辑
    - 解决非合并状态下，预览图错位和没有延时切换内容的问题

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 05 Aug 2024 14:32:31 +0800

ukui-panel (4.10.2.3-ok0) nile; urgency=medium

  * Issue: 无
  * 其他：
    - 根据qApp布局方向增加自动反向布局功能

 -- iaom <zhangpengfei@kylinos.cn>  Wed, 24 Jul 2024 18:01:30 +0800

ukui-panel (4.10.2.2-ok0) nile; urgency=medium

  * Issue: I9RM6T【任务栏】在任务栏设置中打开锁定任务栏开关，仍可修改任务栏位置和大小
  * Issue: IA670L【开始菜单】睡眠和休眠的图标颠倒
  * 其他：
    - 解决点击取消固定到任务栏时偶现崩溃的问题

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 18 Jul 2024 15:17:40 +0800

ukui-panel (4.10.2.1-ok0.1) nile; urgency=medium

  * Issue: 无
  * 其他：
    - 更新翻译

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Fri, 12 Jul 2024 11:24:48 +0800

ukui-panel (4.10.2.1-ok0) nile; urgency=medium

  * Issue: 无
  * 其他：
    - fix(task-manager):解决当desktop都为空的应用会被分到一组的问题（现在会按照windowgroup分组）

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 11 Jul 2024 19:24:48 +0800

ukui-panel (4.10.2.0-ok0.1) nile; urgency=medium

  * 重新传包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 11 Jul 2024 18:02:00 +0800

ukui-panel (4.10.2.0-ok0) nile; urgency=medium

  * Issue: https://gitee.com/openkylin/ukui-panel/issues/IA4MJD?from=project-issue
  * Issue: https://e.gitee.com/openkylin-enterprise/dashboard?issue=IA4K49
  * Issue: https://gitee.com/openkylin/ukui-panel/issues/IA4MDU?from=project-issue
  * 其他：
    - 适配ukui-quick-framework自动加载配置文件功能
    - 复x环境下预览图右键最大化最小化一直无法使用问题
  * 其他改动影响域：
    - panel插件加载机制，panel配置文件版本

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 11 Jul 2024 15:07:00 +0800

ukui-panel (4.10.1.8-ok0) nile; urgency=medium

  * Issue: https://gitee.com/openkylin/ukui-panel/issues/IA4KWW?from=project-issue
  * 其他：
    - 规避wlcom下，第一次打开应用无激活状态颜色显示问题
    - 修复mpris预览图根据类型加载错误问题

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 09 Jul 2024 09:27:54 +0800

ukui-panel (4.10.1.7-ok0) nile; urgency=medium

  * Issue: https://gitee.com/openkylin/ukui-panel/issues/IA4PTX?from=project-issue
  * Issue: https://gitee.com/openkylin/ukui-menu/issues/IA66XE?from=project-issue
  * 其他：
    - 解决由仅单屏显示切换到扩展，任务栏消失问题
    - Task manager支持未读消息角标显示
    - Task manager对无法最大化窗口屏蔽最大化选项
    - 修复悬浮预览图激活窗口时，右键操作后，激活状态不会消失问题

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 03 Jul 2024 14:42:07 +0800

ukui-panel (4.10.1.6-ok0.1) nile; urgency=medium

  * Issue: 无
  * 其他：
    - 更新翻譯

 -- Kevin Duan <duankaiwen@kylinos.cn>  Tue, 25 Jun 2024 14:44:47 +0800

ukui-panel (4.10.1.6-ok0) nile; urgency=medium

  * Issue: 无
  * 其他：
    - 解决wayland环境任务栏隐藏后窗口最小化动画错误问题
    - 更新翻譯

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 25 Jun 2024 14:44:47 +0800

ukui-panel (4.10.1.5-ok1) nile; urgency=medium

  * Issue: 无
  * 其他：
    - 更新翻譯

 -- hewenfei <hewenfei@kylinos.cn>  Mon, 24 Jun 2024 11:45:52 +0800

ukui-panel (4.10.1.5-ok0) nile; urgency=medium

  * Issue: 无
  * 其他：
    - 修复wlcom任务栏拖拽图标崩溃问题
    - 应用卸载时移除固定的快速启动按钮
    - 修复初次加载图标重叠和icon报错问题
    - 修复全局搜索按钮右键菜单显示位置不对的问题
    - 适配wlcom下highlight window接口
    - 修复任务栏换位操作容易被触发问题

 -- hewenfei <hewenfei@kylinos.cn>  Wed, 19 Jun 2024 15:22:00 +0800

ukui-panel (4.10.1.4-ok0) nile; urgency=medium

  * Issue: 无
  * 其他：
    - 优化开始菜单按钮右键菜单，增加更多选项
    - 优化自动隐藏任务栏逻辑
    - 修复平板模式出现多个任务栏问题
    - 优化预览图显示逻辑，固定预览图尺寸避免闪烁
    - 添加预览图三态,图标圆角跟随主题
    - 优化音频与视频预览图

 -- hewenfei <hewenfei@kylinos.cn>  Wed, 05 Jun 2024 14:25:32 +0800

ukui-panel (4.10.1.3-ok0) nile; urgency=medium

  * Issue: 无
  * 其他：
    - 优化任务栏合并逻辑，微信多开窗口支持合并
    - 修复切换预览图时的闪烁问题
    - 修复拖拽图标位置后，新增窗口位置不在最后的问题
    - 适配wlcom的窗口最小化动效接口

 -- hewenfei <hewenfei@kylinos.cn>  Sat, 01 Jun 2024 09:16:02 +0800

ukui-panel (4.10.1.2-ok0) nile; urgency=medium

  * 优化窗口关闭特效
  * 修改显示桌面按钮主题色
  * 修复多任务视图按钮点击无效问题

 -- hewenfei <hewenfei@kylinos.cn>  Mon, 27 May 2024 17:30:00 +0800

ukui-panel (4.10.1.1-ok0) nile; urgency=medium

  * 优化taskManager动画曲线，取消回弹动画

 -- hewenfei <hewenfei@kylinos.cn>  Sat, 18 May 2024 16:39:00 +0800

ukui-panel (4.10.1.0-ok2) nile; urgency=medium

  * rebuild

 -- hewenfei <hewenfei@kylinos.cn>  Sat, 18 May 2024 16:33:59 +0800

ukui-panel (4.10.1.0-ok1) nile; urgency=medium

  * 使用qml重写的全新ukui-panel预览版本
  * 优化动画效果
  * 修复部分bug
  * 增加多屏显示功能
  * 优化托盘UI和动画
  * 优化预览图UI和动画效果

 -- hewenfei <hewenfei@kylinos.cn>  Fri, 17 May 2024 18:18:18 +0800
